ghc-7.0.3: The GHC API

DriverPhases

# Documentation

data HscSource

Constructors

HsSrcFile |
HsBootFile |
ExtCoreFile |

Instances

Eq HscSource |
Ord HscSource |
Show HscSource |

isHsBoot :: HscSource -> Bool

hscSourceString :: HscSource -> String

data Phase

Constructors

Unlit HscSource |
Cpp HscSource |
HsPp HscSource |
Hsc HscSource |
Ccpp |
Cc |
HCc |
Mangle |
SplitMangle |
SplitAs |
As |
LlvmOpt |
LlvmLlc |
LlvmMangle |
CmmCpp |
Cmm |
StopLn |

Instances

Eq Phase |
Show Phase |
Outputable Phase |

happensBefore :: Phase -> Phase -> Bool

eqPhase :: Phase -> Phase -> Bool

anyHsc :: Phase

isStopLn :: Phase -> Bool

startPhase :: String -> Phase

phaseInputExt :: Phase -> String

isHaskellishSuffix :: String -> Bool

isHaskellSrcSuffix :: String -> Bool

isObjectSuffix :: String -> Bool

isCishSuffix :: String -> Bool

isExtCoreSuffix :: String -> Bool

isDynLibSuffix :: String -> Bool

isHaskellUserSrcSuffix :: String -> Bool

isSourceSuffix :: String -> Bool

isHaskellishFilename :: FilePath -> Bool

isHaskellSrcFilename :: FilePath -> Bool

isObjectFilename :: FilePath -> Bool

isCishFilename :: FilePath -> Bool

isExtCoreFilename :: FilePath -> Bool

isDynLibFilename :: FilePath -> Bool

isHaskellUserSrcFilename :: FilePath -> Bool

isSourceFilename :: FilePath -> Bool